#extension GL_OES_EGL_image_external : require
precision mediump float;
uniform samplerExternalOES iChannel0;
uniform float thresholdYMin;
uniform float thresholdYMax;
uniform float thresholdXMin;
uniform float thresholdXMax;
uniform vec4 blendColor;
varying vec2 uv;
void
main()
{
    if(uv.y < thresholdYMin || uv.y > thresholdYMax || uv.x < thresholdXMin || uv.x > thresholdXMax){
        vec4 color = texture2D(iChannel0,uv);
        gl_FragColor = vec4(blendColor.a*blendColor.rgb + (1.-blendColor.a) * color.rgb,1.0);
    }else
        gl_FragColor = texture2D(iChannel0,uv);
}